#!/bin/sh

#
# $Id: install_wtmpmond.sh,v 1.2 2004/09/14 18:18:11 emalkowski Exp $
#

if [ "`whoami`" != "root" ]
then
   echo ""
   echo "Must be root to install wtmpmond"
   echo "" 
   exit 1
fi

if [ ! -f ./wtmpmond ]
then
   echo "" 
   echo "No wtmpmond seems to be built -- run make to build it first"
   echo ""
   exit 1
fi

echo ""
echo "Installing wtmpmond..."

cp -f ./wtmpmond /usr/bin
chmod 555 /usr/bin/wtmpmond

if [ -d /etc/sysconfig -a -d /etc/rc.d/init.d ]
then
   echo "Assuming RedHat style init scripts..."

   cp -f ./wtmpmond.init.redhat /etc/rc.d/init.d/wtmpmond
   chmod 555 /etc/rc.d/init.d/wtmpmond
   /sbin/chkconfig --add wtmpmond
else 
   if [ -d /etc/init.d ]
   then
      echo "Assuming Debian style init scripts..."

      cp -f ./wtmpmond.init.debian /etc/init.d/wtmpmond
      chmod 555 /etc/init.d/wtmpmond

      for RUNLEVEL in 2 3 4 5
      do
         cd /etc/rc${RUNLEVEL}.d
         ln -sf ../init.d/wtmpmond S98wtmpmond
      done
   fi
fi

echo "Complete."
echo ""

exit 0

#
# $Log: install_wtmpmond.sh,v $
# Revision 1.2  2004/09/14 18:18:11  emalkowski
# Add support for redhat
#
# Revision 1.1  2004/07/19 18:24:34  emalkowski
# Initial revision
#
